Bug 606847 - ipa-client requires nss_ldap by name, though there are two packages which provide libnss_ldap.so.2
Summary: ipa-client requires nss_ldap by name, though there are two packages which pro...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipa   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-22 15:40 UTC by Nalin Dahyabhai
Modified: 2011-06-13 20:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-13 20:21:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2010-06-22 15:40:59 UTC
Description of problem:
Though I have nss-pam-ldapd installed, the ipa-client package still explicitly requires nss_ldap, and the two conflict at the file level.

Version-Release number of selected component (if applicable):
1.2.2-3.fc14

How reproducible:
Always

Steps to Reproduce:
1. repoquery --whatrequires nss_ldap
2. yum install nss-pam-ldapd
3. yum install nss_ldap
  
Actual results:
File conflict.

Expected results:
ipa-client would ideally be happy with either client, but otherwise I'd expect it to require the one that's the default for whichever version of Fedora it's targeting (in F14 and later, that'll be nss-pam-ldapd).

Comment 1 Rob Crittenden 2010-06-22 17:51:53 UTC
I think it will *work* with both, we have the requires so that the capability is available. Is there a better Requires we can have that will work across releases?

In the short-run I can make the change to F-14 but then we could have upgrade issues if people move from F-13 (with nss_ldap) to F-14.

Comment 2 Bug Zapper 2010-07-30 12:11:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 stan 2010-10-07 18:16:57 UTC
Hit this problem while installing packages in F14.  Just confirmation it is still present.

Transaction Check Error:
  file /usr/lib64/libnss_ldap.so from install of nss-pam-ldapd-0.7.7-1.fc14.x86_64 conflicts with file from package nss_ldap-265-6.fc14.x86_64

Comment 4 Nalin Dahyabhai 2011-06-13 20:21:03 UTC
In F15 this is changed to a dependency on SSSD, so the question's moot.  Closing.


Note You need to log in before you can comment on or make changes to this bug.